package com.sv.entity;

import java.io.Serializable;
import java.util.Date;
import java.math.*;

/**
 * Entity - 场馆会员卡
 *
 * @author lihong
 * @since 2018-08-02
 */
public class VenueCard implements Serializable {


    /**
     * 
     */
    private Integer id;

    /**
     * 会员卡类型
     */
    private Integer cardType;

    /**
     * 状态
     *
     * @see com.ydd.framework.core.entity.enums.StatusEnum
     */
    private Integer status;

    /**
     * 金额
     */
    private BigDecimal price;

    /**
     * 场馆ID
     */
    private Integer venueId;

    /**
     * 场馆类型
     */
    private Integer venueType;

    /**
     * 创建者编号
     */
    private Integer createdId;

    /**
     * 创建者编号
     */
    private Integer modifiedId;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date modifiedTime;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Integer deleted;

    private Integer platformId;


    /**
     * 设置
     *
     * @param id 
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return 
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置会员卡类型
     *
     * @param cardType 会员卡类型
     */
    public void setCardType(Integer cardType){
        this.cardType = cardType;
    }

    /**
     * 获取会员卡类型
     *
     * @return 会员卡类型
     */
    public Integer getCardType(){
        return cardType;
    }


    /**
     * 设置状态
     *
     * @see com.ydd.framework.core.entity.enums.StatusEnum
     * @param status 状态
     */
    public void setStatus(Integer status){
        this.status = status;
    }

    /**
     * 获取状态
     *
     * @see com.ydd.framework.core.entity.enums.StatusEnum
     * @return 状态
     */
    public Integer getStatus(){
        return status;
    }


    /**
     * 设置金额
     *
     * @param price 金额
     */
    public void setPrice(BigDecimal price){
        this.price = price;
    }

    /**
     * 获取金额
     *
     * @return 金额
     */
    public BigDecimal getPrice(){
        return price;
    }


    /**
     * 设置场馆ID
     *
     * @param venueId 场馆ID
     */
    public void setVenueId(Integer venueId){
        this.venueId = venueId;
    }

    /**
     * 获取场馆ID
     *
     * @return 场馆ID
     */
    public Integer getVenueId(){
        return venueId;
    }


    /**
     * 设置场馆类型
     *
     * @param venueType 场馆类型
     */
    public void setVenueType(Integer venueType){
        this.venueType = venueType;
    }

    /**
     * 获取场馆类型
     *
     * @return 场馆类型
     */
    public Integer getVenueType(){
        return venueType;
    }


    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId){
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId(){
        return createdId;
    }


    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId){
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId(){
        return modifiedId;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime(){
        return modifiedTime;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }

    public Integer getPlatformId() {
        return platformId;
    }

    public void setPlatformId(Integer platformId) {
        this.platformId = platformId;
    }
}